# abstract DataPointer(DataPointerType)

#### package lime.utils

#### to DataPointerType

Available on all platforms

### Static methods

###

`staticfromArrayBuffer (buffer:ArrayBuffer):DataPointer`

###

`staticfromArrayBufferView (arrayBufferView:ArrayBufferView):DataPointer`

###

`staticfromBytes (bytes:Bytes):DataPointer`

###

`staticfromBytesData (bytesData:BytesData):DataPointer`

###

`staticfromBytesPointer (pointer:BytePointer):DataPointer`

###

`staticfromCFFIPointer (pointer:CFFIPointer):DataPointer`

###

`staticfromFile (path:String):DataPointer`

###

`staticfromLimeBytes (bytes:LimeBytes):DataPointer`